%define branch 0
%{?_branch: %{expand: %%global branch 1}}


%if %branch
%define kde_snapshot svn1053190
%endif

%define subrel 2

Name: kdepim4-runtime
Summary: K Desktop Environment
Version: 4.4.9
Release: %mkrel 0
Group: Graphical desktop/KDE
License: GPL
Epoch: 2
URL: http://pim.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-runtime-%version%kde_snapshot.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-runtime-%version.tar.bz2
%endif
Patch200:  kdepim-4.4.1-t1108280-kres-fix-instance-creation.patch
Patch201:  kdepim-4.4.1-t1108431-kres-do-not-start-akonadi.patch
Buildroot:     %_tmppath/%name-%version-%release-root
BuildRequires: kdelibs4-devel >= 2:4.2.98
BuildRequires: kdepimlibs4-devel >= 2:4.2.98
BuildRequires: automoc4
BuildRequires: boost-devel
BuildRequires: akonadi-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: strigi-devel
BuildRequires: qt4-qtdbus
BuildRequires: akonadi
BuildRequires: shared-desktop-ontologies-devel

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Group: Graphical desktop/KDE
Summary: Akonadi control center for KDE
Obsoletes: kdepim4-runtime < 2:4.3.1-2
Provides: kdepim4-runtime = %{epoch}:%{version}-%{release}
Obsoletes: kdepim4-akonadi < 2:4.3.0
Conflicts: kdepim4-kresources < 2:4.3.0-1
Requires: akonadi >= 1:1.2.1
Requires: mysql-client

%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde
%defattr(-,root,root,-)
%_kde_bindir/*
%_kde_appsdir/akonadi
%_kde_appsdir/akonadi_knut_resource
%_kde_applicationsdir/*
%_kde_datadir/akonadi
%_kde_services/*
%_kde_datadir/mime/packages/*
%_kde_libdir/kde4/*
%_kde_iconsdir/*/*/*/*
%_kde_configdir/*
%_kde_datadir/autostart/kaddressbookmigrator.desktop

#-----------------------------------------------------------------------------

%define akonadi_xml_major 4
%define libakonadi_xml %mklibname akonadi-xml %{akonadi_xml_major}

%package -n %libakonadi_xml
Summary: KDE 4 library
Group: System/Libraries

%description -n %libakonadi_xml
KDE 4 library.

%files -n %libakonadi_xml
%defattr(-,root,root)
%_kde_libdir/libakonadi-xml.so.%{akonadi_xml_major}*

#-----------------------------------------------------------------------------

%define kdepim_copy_major 4
%define libkdepim_copy %mklibname kdepim-copy %{kdepim_copy_major}

%package -n %libkdepim_copy
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdepim_copy
KDE 4 library.

%files -n %libkdepim_copy
%defattr(-,root,root)
%_kde_libdir/libkdepim-copy.so.%{kdepim_copy_major}*

#-----------------------------------------------------------------------------

%define maildir_major 4
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %libmaildir
Summary: KDE 4 library
Group: System/Libraries

%description -n %libmaildir
KDE 4 library.

%files -n %libmaildir
%defattr(-,root,root)
%_kde_libdir/libmaildir.so.%{maildir_major}*

#-----------------------------------------------------------------------------

%define mbox_major 4
%define libmbox %mklibname mbox %{mbox_major}

%package -n %libmbox
Summary: KDE 4 library
Group: System/Libraries

%description -n %libmbox
KDE 4 library.

%files -n %libmbox
%defattr(-,root,root)
%_kde_libdir/libmbox.so.%{mbox_major}*

#----------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel >= 2:4.2.98
Requires: kdepimlibs4-devel >= 4.2.96
Requires: %{libakonadi_xml} = %{epoch}:%{version}
Requires: %{libkdepim_copy} = %{epoch}:%{version}
Requires: %{libmaildir} = %{epoch}:%{version}
Requires: %{libmbox} = %{epoch}:%{version}

%description devel
This package contains header files needed if you wish to build applications
based on kdepim-runtime.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%_kde_datadir/dbus-1/interfaces/*

#----------------------------------------------------------------------

%prep
%if %branch
%setup -q -n kdepim-runtime-%version%kde_snapshot
%else
%setup -q -n kdepim-runtime-%version
%endif
%patch200 -p0
%patch201 -p0

%build
%cmake_kde4

%make

%install
rm -fr %buildroot

%makeinstall_std -C build

%clean
rm -fr %buildroot




%changelog
* Wed Apr 13 2011 Oden Eriksson <oeriksson@mandriva.com> 2:4.4.9-0.2mdv2010.2
- built for updates

* Mon Apr 11 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.9-0.1mdv2010.1
+ Revision: 652497
- Revert to last allowed kdepim version for kde 4.4

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 2:4.4.10-0.1mdv2010.1
+ Revision: 634524
- 4.4.10

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 4.4.9
    - New version 4.4.8

* Wed Jun 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-3mdv2010.1
+ Revision: 546960
- Add missing patch
- Akonaditray requires mysqldump
  CCBUG: 59570
- Rebuild in release mode

* Thu May 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-1mdv2010.1
+ Revision: 542790
- Remove P301 : Merged upstream
- Update to version 4.4.3

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-3mdv2010.1
+ Revision: 540303
- Add a patch fixing disribution list

* Fri Apr 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-2mdv2010.1
+ Revision: 530762
- Enable back those patches

* Tue Mar 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-1mdv2010.1
+ Revision: 530076
- Disabled akonadi patches, will be fixed after beta1
- Silent akonadi start ( P200 P201 )
- Update to version 4.4.2

* Tue Mar 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-1mdv2010.1
+ Revision: 513423
- Update to version 4.4.1

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.0-1mdv2010.1
+ Revision: 502633
- Update to version 4.4.0

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.98-1mdv2010.1
+ Revision: 498959
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Mon Jan 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.95-1mdv2010.1
+ Revision: 496119
- Update to kde 4.4 Rc2

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2:4.3.90-2mdv2010.1
+ Revision: 489627
- rebuild for missing packages

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.90-1mdv2010.1
+ Revision: 488234
- Update to kde 4.4 rc1
- Fix use of majors

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.85-2mdv2010.1
+ Revision: 480965
- Add patch to fix build
  Fix file list
- Update release because new bs failure
- Update to kde 4.4 beta2

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-1mdv2010.1
+ Revision: 473251
- Add shared-desktop-ontologies-devel as BuildRequire
- Update to kde 4.4 Beta1

* Sat Nov 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.77-1mdv2010.1
+ Revision: 470730
- Update to kde 4.3.77

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.75-1mdv2010.1
+ Revision: 466835
- Update to kde 4.3.75

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-2mdv2010.1
+ Revision: 465102
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-1mdv2010.1
+ Revision: 462756
- Update to kde 4.3.73

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.2-1mdv2010.0
+ Revision: 454404
- New upstream release 4.3.2.

* Thu Sep 03 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-2mdv2010.0
+ Revision: 428850
- Move kdepim4-runtime naming to a proper akonadi-kde name
- Fix KDE bug 205742 ( Fail to read spaces in filename of addressbooks ) Thanks to mikala

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-1mdv2010.0
+ Revision: 423183
- New upstream release 4.3.1.

* Mon Aug 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.0-4mdv2010.0
+ Revision: 414271
- Fix BuildRequires
- Fix BuildRequires
- Add conflicts

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.0-3mdv2010.0
+ Revision: 409306
- New upstream release 4.3.0.

* Tue Jul 28 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.98-2mdv2010.0
+ Revision: 402519
- Add obsoletes to old library

* Fri Jul 24 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.98-1mdv2010.0
+ Revision: 399491
- Update for KDE 4.3 RC3
- imported package kdepim4-runtime

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.96-1mdv2010.0
+ Revision: 394819
- Fix file list
- Update to Rc2

* Sat Jun 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-3mdv2010.0
+ Revision: 389597
- Fix Requires

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-2mdv2010.0
+ Revision: 389418
- Add conflict

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-1mdv2010.0
+ Revision: 389367
- import kdepim4-runtime


